Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QCalendarWidget.HorizontalHeaderFormat

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QCalendarWidget.HorizontalHeaderFormat

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QCalendarWidget

    public static final class QCalendarWidget.HorizontalHeaderFormat

extends java.lang.Enum
implements QtEnumerator

This enum type defines the various formats the horizontal header can display.

See also:
  horizontalHeaderFormat(), and `VerticalHeaderFormat` .

See Also:
  Serialized Form

Field Summary
`static QCalendarWidget.HorizontalHeaderFormat` | `LongDayNames` The header displays complete day names (e.g.
`static QCalendarWidget.HorizontalHeaderFormat` | `NoHorizontalHeader` The header is hidden.
`static QCalendarWidget.HorizontalHeaderFormat` | `ShortDayNames` The header displays a short abbreviation for day names (e.g.
`static QCalendarWidget.HorizontalHeaderFormat` | `SingleLetterDayNames` The header displays a single letter abbreviation for day names (e.g.

Method Summary
`static QCalendarWidget.HorizontalHeaderFormat` | `resolve(int value)` Returns the QCalendarWidget$HorizontalHeaderFormat constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QCalendarWidget.HorizontalHeaderFormat` | `valueOf(java.lang.String name)`
`static QCalendarWidget.HorizontalHeaderFormat[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoHorizontalHeader

    public static final QCalendarWidget.HorizontalHeaderFormat NoHorizontalHeader

  The header is hidden.

### SingleLetterDayNames

    public static final QCalendarWidget.HorizontalHeaderFormat SingleLetterDayNames

  The header displays a single letter abbreviation for day names (e.g. M for Monday).

### ShortDayNames

    public static final QCalendarWidget.HorizontalHeaderFormat ShortDayNames

  The header displays a short abbreviation for day names (e.g. Mon for Monday).

### LongDayNames

    public static final QCalendarWidget.HorizontalHeaderFormat LongDayNames

  The header displays complete day names (e.g. Monday).

Method Detail

### values

    public static QCalendarWidget.HorizontalHeaderFormat[] values()

### valueOf

    public static QCalendarWidget.HorizontalHeaderFormat valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QCalendarWidget.HorizontalHeaderFormat resolve(int value)

  Returns the QCalendarWidget$HorizontalHeaderFormat constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD